Bug Hunting Session
Bug 97275 - Change from 90dpi to 96dpi in svg import and export
Summary: Change from 90dpi to 96dpi in svg import and export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: x86 (IA32) Windows (All)
: medium enhancement
Assignee: Not Assigned
URL: https://www.w3.org/TR/2011/REC-CSS2-2...
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-20 12:56 UTC by Regina Henschel
Modified: 2016-11-02 22:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-01-20 12:56:18 UTC
The current version of CSS is CSS2.1. With the change from CSS1 to CSS2 the mapping of px to pt was changed to '1 px=0.75 pt'. So CSS now uses '96 px=1 in'. Currently LO uses '90 px=1 in'. That should be changed to keep up with the current CSS version.

For reference see the list in the paragraph starting "Absolute length units.." in the linked page.
Comment 1 Commit Notification 2016-01-22 11:46:10 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=288d1f802d306dc741df60c029c50850e7e5fd6b

tdf#97275 SVGIO: Change default PPI to 96 in svg import...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Heiko Tietze 2016-06-30 15:27:14 UTC
Is this related to the wrong values in bug 99088?
And first of all: Is the issue solved? -> NEEDINFO
Comment 3 Regina Henschel 2016-11-02 22:16:08 UTC
I think, that it is not related to bug 99088, because this issue is about converting units, when inserting (read) a svg-graphic.